Component({
  props: {
    componentData: {},
    showCancelBtn: false,
    onCancel: () => null,
    onMoreNewOrder: () => null,
    onPay: () => null,
    btnText: '',
    type: ''
  },
  data: {},
  methods: {
    // 取消订单
    handelCancel() {
      this.props.onCancel();
    },

    // 判断点是去支付 还是再来一单
    handelClick() {
      const {
        type = ''
      } = this.props;

      if (!type) {
        return 0;
      }

      if (type === 'MORE') {
        return this.props.onMoreNewOrder();
      }

      return this.props.onPay();
    }

  }
});